<?php
/**
 * The template part for displaying the process section on homepage
 *
 * @package Meridian One
 * @since 1.0
 */
?>
<?php

	$button_url = false;
	$button_text = false;

	if ( meridian_one_get_theme_option( 'home_process_section_button_url' ) ) {
		$button_url = meridian_one_get_theme_option( 'home_process_section_button_url' );
	}

	if ( meridian_one_get_theme_option( 'home_process_section_button_text' ) ) {
		$button_text = meridian_one_get_theme_option( 'home_process_section_button_text' );
	}

?>
<div id="process" class="section section-process">
	
	<div class="wrapper">
		
		<?php if ( is_active_sidebar( 'sidebar-home-process' ) ) : ?>
			<div class="section-process-items clearfix">
				<?php dynamic_sidebar( 'sidebar-home-process' ); ?>
			</div><!-- .section-process-items -->
		<?php endif; ?>

		<?php if ( $button_url && $button_text ) : ?>
			<div class="section-process-button">
				<a href="<?php echo esc_url( $button_url ); ?>"><?php echo esc_html( $button_text ); ?></a>
			</div><!-- .section-process-button -->
		<?php endif; ?>

	</div><!-- .wrapper -->

</div><!-- .section-process -->