<?php
/**
 * The template part for displaying the team section on homepage
 *
 * @package Meridian One
 * @since 1.0
 */
?>
<?php

	$title = false;
	$subtitle = false;
	$description = false;
	$button_url = false;
	$button_text = false;

	if ( meridian_one_get_theme_option( 'home_team_section_title' ) ) {
		$title = meridian_one_get_theme_option( 'home_team_section_title' );
	}

	if ( meridian_one_get_theme_option( 'home_team_section_subtitle' ) ) {
		$subtitle = meridian_one_get_theme_option( 'home_team_section_subtitle' );
	}

	if ( meridian_one_get_theme_option( 'home_team_section_description' ) ) {
		$description = meridian_one_get_theme_option( 'home_team_section_description' );
	}

	if ( meridian_one_get_theme_option( 'home_team_section_button_url' ) ) {
		$button_url = meridian_one_get_theme_option( 'home_team_section_button_url' );
	}

	if ( meridian_one_get_theme_option( 'home_team_section_button_text' ) ) {
		$button_text = meridian_one_get_theme_option( 'home_team_section_button_text' );
	}

?>
<div id="team" class="section section-team">

	<div class="wrapper">

		<div class="section-header clearfix">
			<?php if ( $title || $subtitle ) : ?>
				<div class="section-header-left">
					<?php if ( $title ) : ?>
						<h2 class="section-title"><?php echo esc_html( $title ); ?></h2>
					<?php endif; ?>
					<?php if ( $subtitle ) : ?>
						<h3 class="section-subtitle"><?php echo esc_html( $subtitle ); ?></h3>
					<?php endif; ?>
				</div><!-- .section-header-left -->
			<?php endif; ?>
			<div class="section-header-right has-button">
				<?php if ( $button_url && $button_text ) : ?>
					<a href="<?php echo esc_url( $button_url ); ?>" class="section-header-button"><?php echo esc_html( $button_text ); ?></a>
				<?php endif; ?>
				<?php if ( $description ) : ?>
					<div class="section-description"><?php echo esc_html( $description ); ?></div>
				<?php endif; ?>
			</div><!-- .section-header-right -->
		</div><!-- .section-header -->

		<?php if ( is_active_sidebar( 'sidebar-home-team' ) ) : ?>
			<div class="section-team-main">
				<div class="section-team-items section-team-items-cols-<?php echo esc_attr( meridian_one_sidebar_widgets_count( 'sidebar-home-team' ) ); ?> clearfix">
					<?php dynamic_sidebar( 'sidebar-home-team' ); ?>
				</div><!-- .section-team-items -->
			</div><!-- .section-team-main -->
		<?php endif; ?>

	</div><!-- .wrapper -->

</div><!-- .section-team -->